# Copyright 2018-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_9 python3_10 python3_11)

inherit distutils-r1 bash-completion-r1

DESCRIPTION="A pass extension for managing git credentials."
HOMEPAGE="https://github.com/languitar/pass-git-helper"
GITHUB_USER="languitar"
GITHUB_TAG="${PV}"
SRC_URI="https://github.com/${GITHUB_USER}/${PN}/archive/v${GITHUB_TAG}.tar.gz -> ${GITHUB_USER}-${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
RESTRICT=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

DEPEND=""

RDEPEND="${PYTHON_DEPS}
	>=app-admin/pass-1.7
	>=dev-vcs/git-2.13
	"

BDEPEND="${RDEPEN}"
