# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Mainly a PHP Language Server with more features than you can shake a stick at"
HOMEPAGE="https://github.com/phpactor/phpactor"

SRC_URI="https://github.com/phpactor/phpactor/releases/download/${PV}/phpactor.phar -> ${P}.phar"
RESTRICT="mirror strip bindist"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND="
	>=dev-lang/php-8.1
"

RDEPEND="
	${DEPEND}
"

DOCS=( )

src_unpack(){
	mkdir -p ${S}
	cp "${DISTDIR}/${P}.phar" ${S}/${PN}
}

src_install(){
	dobin ${PN}
}

